好好-MEN 发表于 2021-5-29 12:14:26

好好-MEN 发表于 2022-5-7 13:16:15

decemc 发表于 2022-5-7 16:31:24

一直想找个这种的,没找到

好好-MEN 发表于 2022-5-7 22:41:04

alexmai 发表于 2022-5-8 17:54:26

decemc 发表于 2022-5-7 16:31
一直想找个这种的,没找到

;;;设置文字对正--中间
(defun c:tem(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "m")
(princ)
)

;;;设置文字对正--左对齐
(defun c:tel(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "l")
(princ)
)

;;;设置文字对正--右对齐
(defun c:ter(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "r")
(princ)
)

;;;设置文字对正--fit
(defun c:tef(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "F")
(princ)
)

;;;设置文字对正--中下
(defun c:temd(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "BC")
(princ)
)

;;;设置文字对正--中上
(defun c:temt(/ ent)
(setq ent (SSGET (LIST '(0 . "*text"))))
(command "_JUSTIFYTEXT" ent "" "TC")
(princ)
)
页: [1]
查看完整版本: 文字引!